## p7zip-rar 9.20.1~ds.1

=== debian/changelog ===
p7zip-rar (9.20.1~ds.1-4) unstable; urgency=medium

  * Adopting package (closes:  #812124).
  * Switch to the `3.0 (quilt)' source format.
  * Bump debhelper compatibility level to v9 and use minimised debian/rules.
  * Refresh the 01-clean-makefile.patch with gbp pq import/export.
  * Copy the following patches from p7zip package:
    + 03-include-linux-makefile.patch to have makefile.machine include
      makefile.linux_any_cpu_gcc_4.X;
    + 04-no-strip-by-default.patch to drop the -s flag from gcc options;
    + 05-hardening-flags.patch to support $(CPPFLAGS) and not to override
      $(CXXFLAGS) and $(CFLAGS). This enables hardening builds.
  * debian/control:
    + add Vcs-Git and Vcs-Browser fields;
    + bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sun, 31 Jan 2016 12:20:17 +0100

p7zip-rar (9.20.1~ds.1-3) unstable; urgency=low

  * Make package autobuildable. (Closes: #633639)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 03 Aug 2011 12:32:40 +0200

p7zip-rar (9.20.1~ds.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 28 Jun 2011 17:17:12 +0200

p7zip-rar (9.20.1~ds.1-1) experimental; urgency=low

  * New upstream release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 04 Apr 2011 18:23:57 +0200

p7zip-rar (9.04~ds.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 27 Jun 2009 16:30:49 +0200

p7zip-rar (4.65~ds.1-1) unstable; urgency=low

  * New upstream release.
  * Don't use dh_clean with -k option.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 14 Feb 2009 20:14:57 +0100

p7zip-rar (4.61~ds.1-1) experimental; urgency=low

  * New upstream release.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 21 Dec 2008 15:17:59 +0100

p7zip-rar (4.58~ds.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + bump Standards-Version to 3.8.0.
     + bump build-dependency on debhelper 7.
  * debian/compat: set compatibility level to 7.
  * Add a debian/watch file.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 21 Jun 2008 15:33:39 +0200

p7zip-rar (4.57~ds.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + bump Standards-Version to 3.7.3.
     + add Homepage field.
  * debian/copyright converted to Unicode.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 21 Dec 2007 16:28:58 +0100

p7zip-rar (4.55~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 14 Sep 2007 22:44:09 +0200

p7zip-rar (4.53~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 11 Sep 2007 16:40:19 +0200

p7zip-rar (4.51~ds.1-1) unstable; urgency=low

  * New upstream version.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 04 Aug 2007 22:01:25 +0200

p7zip-rar (4.47~ds.1-1) unstable; urgency=low

  * New upstream version.
  * Refresh dependencies and patch.
  * In debian/rules, call
        [ ! -f makefile ] || $(MAKE) rar-clean
    instead of
        -$(MAKE) rar-clean

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 02 Jul 2007 00:08:43 +0200

p7zip-rar (4.45~ds.1-1) unstable; urgency=low

  * New upstream version.
  * Bump debhelper compatibility to 5.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 22 Apr 2007 12:21:51 +0200

p7zip-rar (4.44.ds.1-1) unstable; urgency=low

  * Redo tarball not to clutter .diff.gz.
  * Correct dependency on p7zip.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 10 Apr 2007 00:39:58 +0200

p7zip-rar (4.44-1) unstable; urgency=low

  * New upstream version.
  * Initial upload to non-free/unstable. (Closes: #410414)
  * Depends on p7zip-full.
  * Build-Depend on quilt.
  * Patch makefile for build: 01_clean_makefile.diff.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Mon, 12 Feb 2007 23:28:05 +0100

p7zip-rar (4.33-1) unstable; urgency=low

  * New upstream release
  * Depends on p7zip (= 4.33.dfsg-1)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 10 Feb 2006 23:13:13 +0100

p7zip-rar (4.30-1) unstable; urgency=low

  * New upstream release

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 27 Nov 2005 15:42:53 +0100

p7zip-rar (4.29-2) unstable; urgency=low

  * Depends on p7zip >= 4.29.dfsg-1

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 24 Nov 2005 01:34:17 +0100

p7zip-rar (4.29-1) unstable; urgency=low

  * New upstream version

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  8 Oct 2005 00:34:45 +0200

p7zip-rar (4.27-1) unstable; urgency=low

  * Initial release

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 20 Sep 2005 19:24:47 +0000
