=== debian/control ===
Source: p7zip-rar
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 9)
XS-Autobuild: yes
Standards-Version: 3.9.6
Homepage: http://p7zip.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/users/robert/p7zip-rar.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/p7zip-rar.git

Package: p7zip-rar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, p7zip-full (>= 9.20.1~), p7zip-full (<< 9.20.2~)
Description: non-free rar module for p7zip
 p7zip is the Unix port of 7-Zip, a file archiver that archives with
 very high compression ratios.
 .
 p7zip-rar provides a module for p7zip-full to make 7z able to
 extract RAR files.
