## p7zip-rar 15.14.1

=== debian/changelog ===
p7zip-rar (15.14.1-1) unstable; urgency=low

  * New upstream version.
  * Update 01-clean-makefile.patch for new version and remove the following
    no longer needed patches: 06-s390.patch, 07-endian-detection.patch, and
    08-mips.patch.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Apr 2016 08:10:10 +0200

p7zip-rar (15.09-2) unstable; urgency=low

  * Upload to unstable.
  * Switch Vcs-Git to https, and Vcs-Browser to cgit.
  * Bump Standards-Version to 3.9.7.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2016 09:49:59 +0100

p7zip-rar (15.09-1) experimental; urgency=low

  * New upstream version.
  * Synchronize patches from the p7zip package. This introduces 06-s390.patch,
    07-endian-detection.patch, and 08-mips.patch related to FTBFS fixes.
  * Update p7zip dependency in debian/control.
  * Switch debian/copyright to DEP-5 format.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Feb 2016 00:30:32 +0100
