=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 	# Make sure patches are applied otherwise `make clean' fails
 	# on trying to clean the removed Rar directory (see #769520).
 	dpkg-source --before-build $(CURDIR)
-	dh_auto_clean $(DH_AUTO_OPTIONS) -- rar-clean
+	dh_auto_clean $(DH_AUTO_OPTIONS) -- OPTFLAGS=
 	rm -rf bin/
 
 override_dh_auto_build:
-	dh_auto_build $(DH_AUTO_OPTIONS) -- rar
+	dh_auto_build $(DH_AUTO_OPTIONS) -- OPTFLAGS= rar
 
 override_dh_auto_install:
 	dh_install  bin/Codecs usr/lib/p7zip
