## p7zip-rar 16.02

=== debian/changelog ===
p7zip-rar (16.02-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:16 +0100

p7zip-rar (16.02-3) unstable; urgency=medium

  * Hopefully fix uninitialized memory access (CVE-2018-10115)
    by applying  changes described at
    https://landave.io/files/patch_7zip_CVE-2018-10115.txt
    (closes: #897674, LP: #1768984).
  * debian/control:
    + switch VCS fields to salsa;
    + set Rules-Requires-Root to no;
    + Standards-Version: 4.1.4.
  * debian/copyright: add a short comment explaining why this package
    is non-free (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 30 May 2018 09:04:26 +0200

p7zip-rar (16.02-2) unstable; urgency=medium

  * Hopefully fix Memory Corruptions via RAR PPMd (CVE-2018-5996) by
    applying a few changes from 7Zip 18.00-beta (closes: #888314).
  * Bump debhelper's compat level to 11.
  * Remove `-pie' from hardening options (see: #859442).
  * Use 'https' URL in debian/watch (lintian).
  * Standards-Version: 4.1.3.

 -- Robert Luberda <robert@debian.org>  Mon, 29 Jan 2018 22:50:53 +0100

p7zip-rar (16.02-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Aug 2016 12:54:06 +0200
