=== debian/control ===
Source: p7zip-rar
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 11), yasm [amd64], yasm [i386]
XS-Autobuild: yes
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: http://p7zip.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/p7zip-rar.git
Vcs-Browser: https://salsa.debian.org/debian/p7zip-rar

Package: p7zip-rar
Architecture: any
Depends: p7zip-full (>= ${source:Upstream-Version}~),
         p7zip-full (<< ${source:Upstream-Version}.~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: non-free rar module for p7zip
 p7zip is the Unix port of 7-Zip, a file archiver that archives with
 very high compression ratios.
 .
 p7zip-rar provides a module for p7zip-full to make 7z able to
 extract RAR files.
