## p7zip-rar 16.02+transitional.1

=== debian/changelog ===
p7zip-rar (16.02+transitional.1) unstable; urgency=low

  [ Robert Luberda ]
  * Make the package transitional one depending on 7zip-rar package
    (see #991428).
  * Switch the source package format to 3.0 (native), move the package
    to section non-free/oldlibs, and cleanup the packaging.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version, no changes needed.

 -- Robert Luberda <robert@debian.org>  Wed, 10 Jan 2024 01:02:31 +0100
