=== debian/control ===
Source: p7zip-rar
Section: non-free/oldlibs
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
XS-Autobuild: yes
Rules-Requires-Root: no
Homepage: https://7-zip.org/
Vcs-Git: https://salsa.debian.org/debian/p7zip-rar.git
Vcs-Browser: https://salsa.debian.org/debian/p7zip-rar

Package: p7zip-rar
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, 7zip-rar
Pre-Depends: ${misc:Pre-Depends}
Description: transitional package
 This is a transitional package. It can be safely removed.
